Summary: Ext2 fs resizer
Name:	 ext2resize
Version: 1.1.19
Release: %mkrel 1
License: GPL
Group: System/Kernel and hardware
Url: http://ext2resize.sourceforge.net/
Source: http://ext2resize.sourceforge.net/%{name}-%{version}.tar.bz2
Patch0:	ext2resize-1.1.19-blkgetsize64.patch
Obsoletes: ext2fs
Provides: ext2fs
BuildRequires:	e2fsprogs-devel
BuildRequires:	autoconf2.5
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
ext2resize enable to enlarge or reduce a ext2 fs.

WARNING: this is BETA software.
You may lose data.
You have been warned
Save them before using ext2resize

WARNING: you should probably use resize2fs from e2fsprogs
         which is more robust.

%prep
%setup -q
%patch0 -p2 -b .blkgetsize64
# lib64 fixes, aka libuuid.a is in $(libdir) not /usr/lib
perl -pi -e "s@/usr/lib/(libuuid.a)@%{_libdir}/\1@g" \
	src/Makefile.am src/Makefile.in

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
chmod +r *
%makeinstall

install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Sun Nov 12 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.19-1mdv2007.0
+ Revision: 83529
- Commit the patches
- 1.1.19
- mkrel
- drop old patch
- upstream patch fixing x86_64 build
- use autoconf2.5
- silence setup
- Import ext2resize



* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.17-1mdk
- new release
- big spec cleanups
- clean patch
- add an add about resize2fs

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.14-6mdk
- lib64 fixes, aka libuuid.a is in $(libdir) not /usr/lib

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.14-5mdk
- remove %%doc NEWS

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.14-4mdk
- various fixes for lord hellreiser^h^h^h^h^h^h rpmlint

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.14-3mdk
- BuildRequires:	e2fsprogs-devel

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.14-2mdk
- fix summary
- s!Copyright!License
- build release

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.14-1mdk
- new release
- BM

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0.6-3mdk
- makeinstall macro
- macroszifications

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.0.6-2mdk
- add back patch for giving min size

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.0.6-1mdk
- much cleanup
- new group
- new version

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.10 (new features, now create fs with less superblocks => faster access)

* Thu Sep 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.7 (cleanings)

* Wed Sep 08 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.6

* Thu Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add warning

* Thu Aug 03 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
